{

This object interfaces with the BenQ M32 GSM/GPRS module found here: http://finch.am/projects/arduinogsm/

Author:  Alex Erlank

}

OBJ

  ser : "Simple_Serial"  

PUB init(Tx) 
  ser.init(-1, Tx, 9600)                        'Set up serial output to 9600 Baud

PUB send_SMS(str_message, str_phone_num)

{ Send an SMS message containing the text in str_message to the number str_phone_number }

  ser.str((string("AT")))
  ser.tx(13)      'enter
  waitcnt(clkfreq/2+cnt)

  ser.str((string("AT+CSMP=1,,0,0")))
  ser.tx(13)
  waitcnt(clkfreq/2+cnt)

  ser.str((string("AT+CMGF=1")))
  ser.tx(13)
  waitcnt(clkfreq/2+cnt)

  ser.str((string("AT+CSCA=")))
  ser.tx(34)       'quotation mark
  ser.str((string("+27829129")))
  ser.tx(34)       'quotation mark 
  ser.tx(13) 
  waitcnt(clkfreq/2+cnt)

  ser.str((string("AT+CMGS=")))
  ser.tx(34)       'quotation mark
  ser.str(str_phone_num)
  ser.tx(34)       'quotation mark 
  ser.tx(13)
  waitcnt(clkfreq/2+cnt)

  ser.str(str_message)
  ser.tx(26) 
  ser.tx(13)
  waitcnt(clkfreq/2+cnt)